Foreman - Refactor #34603

Tracker # 29939 (Closed): Improve setting definition DSL and move setting registry to memory

Deprecate other than DSL setting definitions
03/14/2022 10:34 AM - Ondrej Ezr

Status: Closed
Priority: Normal
Assignee: Ondfrej Ezr
Category: Settings
Target version:
Difficulty: Fixed in Releases: 3.3.0
Triaged: No Found in Releases:
Bugzilla link: Red Hat JIRA:
Pull request: https://github.com/theforeman/foreman/p
ull/9150
Description
All setting should be defined through the setting DSL.
Related issues:
Related to Katello - Refactor #34608: Use only public setting interface to up... Closed
Related to Boot disk - Refactor #34674: Use new DSL to define settings Closed
Related to Discovery - Refactor #34677: Use new DSL to define settings Closed
Follows Foreman - Refactor #33781: Deprecate the old setting definitions with... Closed

Associated revisions

Revision fdd9d631 - 03/30/2022 06:51 AM - Ondiej Ezr
Fixes #34603 - deprecate non-DSL setting definitions

This allows conversion to Zeitwerk by moving the non-DSL setting to only
to_prepare phase. We no longer require the Setting classes manually.

If the plugins want to continue using the old way,

plugins need to require the Setting classes manually.

History

#1 - 03/14/2022 11:39 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Assignee set to Ondrej Ezr

- Pull request https://github.com/theforeman/foreman/pull/9150 added

#2 - 03/14/2022 02:32 PM - Ondrej Ezr
- Related to Refactor #34608: Use only public setting interface to update setting values added

#3 - 03/24/2022 02:44 PM - Lukas Zapletal
- Related to Refactor #34674: Use new DSL to define settings added

#4 - 03/25/2022 11:34 AM - Lukas Zapletal
- Related to Refactor #34677: Use new DSL to define settings added

#5 - 03/30/2022 06:51 AM - The Foreman Bot
- Fixed in Releases 3.3.0 added

#6 - 03/30/2022 07:01 AM - Ondfej Ezr
- Status changed from Ready For Testing to Closed
Applied in changeset foreman|fdd9d6311e95a8c8bdc1051cbb646bb153b3ccc8.

#7 - 03/30/2022 07:03 AM - Ondfej Ezr
- Follows Refactor #33781: Deprecate the old setting definitions without "default_settings" added

#8 - 06/09/2022 10:21 AM - Amit Upadhye

- Subject changed from Deprecate other then DSL setting definitions to Deprecate other than DSL setting definitions

05/20/2024 22


https://projects.theforeman.org/projects/foreman/repository/foreman/revisions/fdd9d6311e95a8c8bdc1051cbb646bb153b3ccc8
http://www.tcpdf.org

